Package com.io7m.jtensors.core.parameterized.matrices

# Interface PMatrix4x4DType<A,B>

Type Parameters:
  `A` - A phantom type parameter (possibly representing a source coordinate system)
  `B` - A phantom type parameter (possibly representing a target coordinate system)

All Superinterfaces:
  `MatrixComputationalType`, `MatrixReadable4x4DType`, `MatrixReadableDType`, `PMatrixReadable4x4DType<A,B>`

All Known Implementing Classes:
  `PMatrix4x4D`

@Immutable public interface PMatrix4x4DType<A,B> extends PMatrixReadable4x4DType<A,B>, MatrixComputationalType
The type of 4x4 `double`-typed matrices.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `r0c0()`
  `double`
  `r0c1()`
  `double`
  `r0c2()`
  `double`
  `r0c3()`
  `double`
  `r1c0()`
  `double`
  `r1c1()`
  `double`
  `r1c2()`
  `double`
  `r1c3()`
  `double`
  `r2c0()`
  `double`
  `r2c1()`
  `double`
  `r2c2()`
  `double`
  `r2c3()`
  `double`
  `r3c0()`
  `double`
  `r3c1()`
  `double`
  `r3c2()`
  `double`
  `r3c3()`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.matrices.MatrixReadable4x4DType

  `rowColumn`

- ## Method Details

  - ### r0c0

    @Parameter(order=0) double r0c0()
    Specified by:
      `r0c0` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 0 column 0

  - ### r0c1

    @Parameter(order=1) double r0c1()
    Specified by:
      `r0c1` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 0 column 1

  - ### r0c2

    @Parameter(order=2) double r0c2()
    Specified by:
      `r0c2` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 0 column 2

  - ### r0c3

    @Parameter(order=3) double r0c3()
    Specified by:
      `r0c3` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 0 column 3

  - ### r1c0

    @Parameter(order=4) double r1c0()
    Specified by:
      `r1c0` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 1 column 0

  - ### r1c1

    @Parameter(order=5) double r1c1()
    Specified by:
      `r1c1` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 1 column 1

  - ### r1c2

    @Parameter(order=6) double r1c2()
    Specified by:
      `r1c2` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 1 column 2

  - ### r1c3

    @Parameter(order=7) double r1c3()
    Specified by:
      `r1c3` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 1 column 3

  - ### r2c0

    @Parameter(order=8) double r2c0()
    Specified by:
      `r2c0` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 2 column 0

  - ### r2c1

    @Parameter(order=9) double r2c1()
    Specified by:
      `r2c1` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 2 column 1

  - ### r2c2

    @Parameter(order=10) double r2c2()
    Specified by:
      `r2c2` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 2 column 2

  - ### r2c3

    @Parameter(order=11) double r2c3()
    Specified by:
      `r2c3` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 2 column 3

  - ### r3c0

    @Parameter(order=12) double r3c0()
    Specified by:
      `r3c0` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 3 column 0

  - ### r3c1

    @Parameter(order=13) double r3c1()
    Specified by:
      `r3c1` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 3 column 1

  - ### r3c2

    @Parameter(order=14) double r3c2()
    Specified by:
      `r3c2` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 3 column 2

  - ### r3c3

    @Parameter(order=15) double r3c3()
    Specified by:
      `r3c3` in interface `MatrixReadable4x4DType`
    Returns:
      The value at row 3 column 3